Subject: bug#44413: 28.0.50; Provide function to close the tab

From: Jean Louis <[email-masked]>
Date: Tue, 3 Nov 2020 18:12:24 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-11-03 18:05]:
> Jean Louis <[email-masked]> writes:
> 
> > Instead of lambda anonymous function it would be more useful to
> > provide named function to close the tab. This way keybinding can be
> > customized easily. There exists function to open the tab, while
> > anonymous one is handling closing of the tab.
> >
> > <tab-bar> <C-current-tab> runs the command (lambda nil (interactive)
> > (tab-bar-close-tab 6)) (found in global-map), which is an interactive
> > Lisp function.
> 
> These are dynamically created actions to close specific tabs.  The only
> potentially confusing thing here is that `C-h k' gives you an output at
> all, but I guess there's not much we can do about that.
> 
> If you want to close the current tab, use `C-x t 0', for instance, or
> rebind `tab-close' to any key you want.
> 
> So I don't think there's anything to fix here, and I'm closing this bug
> report.

Oh, you are right. I was inspecting how to close the bug and found
that function. My expectation was that I will find to which key is tab
closing bound.

Thank you.